//===========================================================================
// ModelsTargetOSVer
//	INFt@CModelsZNVOSo[W
//===========================================================================
class ModelsTargetOSVer
{
	std::wstring os_ver_str;

	enum ArchitectureFlag {
		X86 = 1,
		AMD64 = 2,
		IA64 = 4,
	};

public:
	ModelsTargetOSVer();
	ModelsTargetOSVer(std::wstring const &str);

	std::wstring getVerString() const;

	unsigned int getArchitectureFlag() const;

	uint32_t getVersion() const;

	// ؂蕶ŕAw肳ꂽԂ̕Ԃ
	static std::wstring tokenize(
		std::wstring const &str,
		wchar_t token,
		unsigned int index);

	static unsigned int getArchitectureFlagFromString(std::wstring const &str);
};
