#pragma once

class OpenFileDialog
 : public CFileDialogImpl<OpenFileDialog>
{
public:
	OpenFileDialog(LPCTSTR lpszDefExt = NULL,
	               LPCTSTR lpszFileName = NULL,
	               DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
	               LPCTSTR lpszFilter = NULL,
	               HWND hWndParent = NULL)
		: CFileDialogImpl<OpenFileDialog>(TRUE, lpszDefExt, lpszFileName, dwFlags, lpszFilter, hWndParent)
	{ }

	// override base class map and references to handlers
	DECLARE_EMPTY_MSG_MAP()
};

class SaveFileDialog
 : public CFileDialogImpl<SaveFileDialog>
{
public:
	SaveFileDialog(LPCTSTR lpszDefExt = NULL,
	               LPCTSTR lpszFileName = NULL,
	               DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
	               LPCTSTR lpszFilter = NULL,
	               HWND hWndParent = NULL)
		: CFileDialogImpl<SaveFileDialog>(FALSE, lpszDefExt, lpszFileName, dwFlags, lpszFilter, hWndParent)
	{ }

	// override base class map and references to handlers
	DECLARE_EMPTY_MSG_MAP()
};
